Subject: Re: [GIT PULL nf-next-2.6] IPVS build fixes and clean-ups

From: Randy Dunlap <[email-masked]>
Date: Mon, 31 Jan 2011 16:50:09 -0800

On Tue,  1 Feb 2011 11:14:11 +1100 Simon Horman wrote:

> Hi,
> 
> This short patch series addresses two linux-next build problems
> raised by Randy Dunlap:
> 
> * net/netfilter/ipvs/ip_vs_core.c:1891: warning: format '%lu' expects type 'long unsigned int', but argument 2 has type 'unsigned int'
> * ERROR: "unregister_net_sysctl_table" [net/netfilter/ipvs/ip_vs.ko]
>   ERROR: "register_net_sysctl_table" [net/netfilter/ipvs/ip_vs.ko] undefined!
> 
> The remainder of the changset is cleanups that I noticed along the way.

These 4 patches build successfully for me.
However, I do see these warnings (sorry I missed them earlier):

WARNING: net/netfilter/ipvs/ip_vs.o(.init.text+0x161): Section mismatch in reference from the function init_module() to the function .exit.text:ip_vs_sync_cleanup()
WARNING: net/netfilter/ipvs/ip_vs.o(.init.text+0x161): Section mismatch in reference from the function init_module() to the function .exit.text:ip_vs_sync_cleanup()

Thanks for the patch series.

> The changes are available at
> git://git.kernel.org/pub/scm/linux/kernel/git/horms/lvs-test-2.6.git master
> 
> They are currently compile-tested only.
> 
>  include/net/ip_vs.h              |    2 --
>  net/netfilter/ipvs/ip_vs_core.c  |    2 +-
>  net/netfilter/ipvs/ip_vs_ctl.c   |   17 +++++++++--------
>  net/netfilter/ipvs/ip_vs_lblc.c  |   20 ++++++++++----------
>  net/netfilter/ipvs/ip_vs_lblcr.c |   20 ++++++++++----------
>  5 files changed, 30 insertions(+), 31 deletions(-)

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***